Foreman - Feature #32252

Block IP during host creation
04/06/2021 10:27 AM - Bernhard Suttner

Status: Closed

Priority: Normal
Assignee: Bernhard Suttner
Category: Host creation

Target version:

Difficulty: Fixed in Releases: 2.5.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8429
Description
Use Case:

- IPAM DB or Random DB
- Only 2 free IPs exist

- start to create a host A

- start to create a host B

- start to create a host C

If you have a look at the interfaces tab, all hosts (A, B, C) gets the same IP assignment.

Expected: they should have different one. Otherwise it can cause conflicts.

Associated revisions

Revision d8619496 - 04/20/2021 11:05 AM - Bernhard Suttner
Fixes #32252 - block ip during host creation

Block the IP during host host creation if IPAM internal db or random db is used.

The block ip mechanism is not used for DHCP IPAM because the IP
reservation is done on the smart proxy side.

History

#1 - 04/06/2021 10:28 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/8429 added

#2 - 04/06/2021 12:10 PM - Bernhard Suttner

In case of DHCP IPAM usage, the reservation and its logic is implemented on the smart proxy side.

This feature affects only IPAM DB and Random DB.

#3 - 04/20/2021 11:06 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#4 - 04/20/2021 12:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d86194969b4e2bfab8aef913091e8d9e01eca8l7.

#5 - 05/05/2021 02:47 PM - Tomer Brisker

- Category set to Host creation
